---
logging:
  default:
    # DO NOT EVER SET THE *DEFAULT* LOGGING LEVEL >4 UNLESS INSTRUCTED.
    level: 4
    streams:
      - type: console
        level: 0  # By default, only critical messages are logged to the console
      - type: file
        name: "reactor.log"
        maxsize: 2  # megabytes max size
        keep: 5     # copies of old logs
        #
        # capture_console: if true, (most) console output will be captured to
        #                  this stream (if you have multiple streams, this
        #                  feature can only be used by ONE of them). If you
        #                  turn this on (true), set the "console" type stream
        #                  (above) log level to 0 to avoid duplicate logging
        #                  entries. The default is false, console not captured.
        #capture_console: false
        #
        # recycle: if true, each startup of Reactor will open a new log file.
        #          old log files are rotated in accordance with "keep".
        #recycle: false
        #
        # mode: set the (*nix) file mode when creating new log files. The
        #       file mode is as would be used for the "chmod" command. The
        #       default file mode is 0o640. All file creation is further subject
        #       to the process umask, so the actual permissions assigned to the
        #       file may only be a subset of that requested here. Reactor further
        #       allows only the read and write bits to be set here; no other
        #       permission bits will be honored.
        #mode: 0o640

  # You configure logging levels for individual subsystems by adding the sub-
  # system name/class as a section, with the level indented below it, as shown
  # in the numerous examples below.
  app:
    level: 4
  Engine:
    level: 4
  Rule:
    level: 4
  VeraController:
    level: 4
  HubitatController:
    level: 4
  HassController:
    level: 4
